{% extends 'base_admin.html.twig' %}

{% block body %}

    <title>Bet index</title>

    <h1 class="h1-categories-admin">Gestion des paris</h1>
    
    <a href="{{ path('admin_bet_new') }}" class="admin-new-bet-btn">Ajouter</a>
    
    {{ form_start(formFilter) }}
        <div class="flex-filter">
            {{ include("admin_bet/_formFilterBet.html.twig", {formFilter: formFilter}) }}
            <button class="btn btn-apply-filter btn-success">Appliquer</button>
        </div>
    {{ form_end(formFilter) }}
    

    {% if formFilter.vars.submitted %}
        {{ form_start(formReset) }}
            {{ include("admin_bet/_formResetFilter.html.twig", {formReset: formReset}) }}
            <button class=" btn btn-reset-filter-admin btn-danger">Supprimer le filtre</button>
        {{ form_end(formReset)}}
    {% endif %}

    <div class="container-bet-table-admin" >
        <table id="table" class="table table-striped table-bordered" cellspacing="0"  >
            <thead>
            <tr>
                <th>Titre du pari</th>
                <th>Choix</th>
                <th>Evenements</th>
                <th>Catégorie</th>
                <th>Créateur</th>
                <th>Date de création du pari</th>
                <th>Statut de la demande</th>
                <th>Sponsorisé</th>
                <th>actions</th>
            </tr>
            </thead>
            <tbody>
            {% for bet in bets %}

                <tr>
                    <td>{{ bet.name }}</td>
                    <td>
                        {% for betChoice in betChoices.findBy({'bet' : bet.id}) %}
                            <ul>
                                <li>{{ betChoice.name }} </li>
                            </ul>
                        {% endfor %}
                    </td>

                    {% if bet.event_idEvent != null %}
                        <td>{{ events.findOneBy({'id':bet.event_idEvent}).name }}</td>
                    {% else %}
                        <td>Pas d'événement</td>
                    {% endif %}

                    {% if bet.event_idEvent != null and categories.findOneBy({'id':events.findOneBy({'id':bet.event_idEvent}).categoryIdCategory}) != null %}
                        <td>{{ categories.findOneBy({'id':events.findOneBy({'id':bet.event_idEvent}).categoryIdCategory}).name }}</td>
                    {% else %}
                        <td>Pas de catégorie</td>
                    {% endif %}

                    <td>{{ users.findOneBy({'id': bet.user_idUser_creator}).firstname }} {{ users.findOneBy({'id': bet.user_idUser_creator}).lastname }}</td>

                    <td>Le {{ bet.createdAt ? bet.createdAt|date('d-m-Y') : '' }} à  {{ bet.createdAt ? bet.createdAt|date('H:i:s') : '' }}</td>

                    <td>{{ bet.status }}</td>

                    <td>
                        {% if bet.isSponsored == true %}
                            Sponsorisé
                        {% else %}
                            Non Sponsorisé
                        {% endif %}
                    </td>
                    <td>
                        <a href="{{ path('admin_bet_show', {'id': bet.id}) }}" class="tab-links-categories-admin">Gérer</a>
                        <a href="{{ path('admin_bet_edit', {'id': bet.id}) }}" class="tab-links-categories-admin">Modifier</a>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="5">no records found</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    <script>
        $(document).ready(function() {
            $('#table').dynatable();
        } );
    </script>

{% endblock %}
